package iXApp::Model::Journal::Entry;

sub profile {
   return {
      # Gibt bentigte und optionale Felder an
      required => [qw/title body/],
      optional => [qw/created/],
      # entfernt fhrende und endende Leerzeichen
      filters  => [qw/trim/],
      # Bedingungen fr Felder festlegen
      constraint_methods => {
         # Titel muss min. 3 Zeichen lang sein
         title => sub { length $_[1] >= 3 }
      },
      # eigene Meldungenstexte festlegen 
      msgs => {
         missing => 'Eingabe fehlt!',
         invalid => 'Eingabe fehlerhaft!',
      },
   }
}

1;
