package iXApp::Schema::Entry;

use base qw/DBIx::Class/;
use DateTime;

__PACKAGE__->load_components
   ( qw/PK::Auto InflateColumn::DateTime Core/ );

__PACKAGE__->table('entry');
__PACKAGE__->add_columns(
   id => {
      data_type => 'INT',
      is_auto_increment => 1
   },
   title   => { data_type => 'VARCHAR' },
   body    => { data_type => 'TEXT', size => 65335 },
   created => { data_type => 'DATETIME' }
);
__PACKAGE__->set_primary_key('id');

sub new {
   my ($class, $attrs) = @_;
   # aktuelles Datum als Standardwert annehmen
   $attrs->{created} = DateTime->now
      unless defined $attrs->{created};
   return $class->next::method($attrs);
}

1;
